#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "divisors"

const int MaxN = 102, MaxP = 32;

int p [MaxN];
int n, res;

void recur (long long arg, int num, int lim, int cur)
{
 if (res < cur) res = cur;
 int i;
 long long next;
 int q = p[num];
 next = arg;
 for (i = 1; i <= lim; i++)
 {
  next *= q;
  if (next > (long long) n) break;
  recur (next, num + 1, i, cur * (i + 1));
 }
}

int main (void)
{
 int i, j, k;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 k = 1;
 for (i = 0; i < MaxN; i++)
 {
  do
  {
   k++;
   for (j = 0; j < i; j++)
    if (!(k % p[j]))
     break;
  }
  while (j < i);
  p[i] = k;
 }
 while (scanf (" %d", &n) != EOF)
 {
  res = 0;
  recur (1, 0, MaxP, 1);
  printf ("%d\n", res);
 }
 return 0;
}
