#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "stadium"

const int MaxN = 2000;

int x [MaxN], y [MaxN];
int n, res;

int main (void)
{
 int i, j, k;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 while (scanf (" %d", &n) != EOF)
 {
  for (i = 0; i < n; i++)
   scanf (" %d %d", &x[i], &y[i]);
  res = 0;
  for (i = n - 1; i >= 2; i--)
   for (j = i - 1; j >= 1; j--)
    for (k = j - 1; k >= 0; k--)
     if (x[i] * y[j] - x[j] * y[i] +
         x[j] * y[k] - x[k] * y[j] +
         x[k] * y[i] - x[i] * y[k] != 0)
      res++;
  printf ("%d\n", res);
 }
 return 0;
}
