#include <cstdio>

const int Size = 3;

int best = 0;
char field[Size][Size];

void find(int count)
{
	if (count > best)
		best = count;
	for (int i = 0; i < 2; i++)
		for (int j = 0; j < 2; j++)
		{
			if (field[i][j] == '.')
			{
				if (field[i][j + 1] == '.' &&
					field[i + 1][j] == '.')
				{
					field[i][j] = 'X';
					field[i][j + 1] = 'X';
					field[i + 1][j] = 'X';
					find(count + 1);
					field[i][j] = '.';
					field[i][j + 1] = '.';
					field[i + 1][j] = '.';
				}
				if (field[i][j + 1] == '.' &&
					field[i + 1][j + 1] == '.')
				{
					field[i][j] = 'X';
					field[i + 1][j + 1] = 'X';
					field[i][j + 1] = 'X';
					find(count + 1);
					field[i][j] = '.';
					field[i + 1][j + 1] = '.';
					field[i][j + 1] = '.';
				}
				if (field[i + 1][j] == '.' &&
					field[i + 1][j + 1] == '.')
				{
					field[i][j] = 'X';
					field[i + 1][j] = 'X';
					field[i + 1][j + 1] = 'X';
					find(count + 1);
					field[i][j] = '.';
					field[i + 1][j] = '.';
					field[i + 1][j + 1] = '.';
				}
			}
			if (field[i + 1][j + 1] == '.')
			{
				if (field[i][j + 1] == '.' &&
					field[i + 1][j + 1] == '.' &&
					field[i + 1][j] == '.')
				{
					field[i + 1][j + 1] = 'X';
					field[i + 1][j] = 'X';
					field[i][j + 1] = 'X';
					find(count + 1);
					field[i + 1][j + 1] = '.';
					field[i + 1][j] = '.';
					field[i][j + 1] = '.';				
				}
			}
		}
}

int main(void)
{
	freopen("puzzle.in", "rt", stdin);
	freopen("puzzle.out", "wt", stdout);
	for (int i = 0; i < 3; i++)
	{
		for (int j = 0; j < 3; j++)
			scanf("%c", &field[i][j]);
		scanf("\n");
	}
	find(0);
	printf("%d\n", best);
	return 0;
}
