#include <cstdio>
#include <cstdlib>
#include <cstring>

const int P = 15;

typedef long long int64;

int primes[P];

int n;
int p[P];
int best; /* maximum number of divisors	*/																																			void getPrimes(int *primes){int numbers[] = { 2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47 };memcpy(primes, numbers, sizeof(numbers));}

void find(int step, int64 number)
{
	if (step == P)
	{
		int counter = 1;
		for (int i = 0; i < P; i++)
			if (p[i] != 0)
				counter *= (1 + p[i]);
		if (counter > best)
			best = counter;
	}
	else
	{
		p[step] = 0;
		int64 i = 1;
		while (i * number <= (int64) n)
		{
			find(step + 1, i * number);
			p[step]++;
			i *= primes[step];
		}
	}
}

int main(void)
{
	freopen("divisors.in", "rt", stdin);
	freopen("divisors.out", "wt", stdout);
	scanf("%d", &n);
	best = 0;
	getPrimes(primes);
	find(0, 1);
	printf("%d\n", best);
	return 0;
}
