#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "puzzle"

const int MaxN = 3;

int main (void)
{
 char a [MaxN] [MaxN + 1];
 bool b [MaxN] [MaxN];
 int i, j;
 int res;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 while (scanf (" %s %s %s", a[0], a[1], a[2]) != EOF)
 {
  for (i = 0; i < MaxN; i++)
   for (j = 0; j < MaxN; j++)
    b[i][j] = (a[i][j] == 'X');
  res = 0;
  for (i = 0; i < MaxN - 1; i++)
   for (j = 0; j < MaxN - 1; j++)
    if (b[i][j] + b[i][j + 1] + b[i + 1][j] + b[i + 1][j + 1] <= 1)
     res = 1;
  if (!b[0][0] && !b[0][1] && !b[1][0] &&
   b[1][1] + b[1][2] + b[2][1] + b[2][2] <= 1)
    res = 2;
  if (!b[2][0] && !b[2][1] && !b[1][0] &&
   b[1][1] + b[1][2] + b[0][1] + b[0][2] <= 1)
    res = 2;
  if (!b[2][2] && !b[2][1] && !b[1][2] &&
   b[1][1] + b[1][0] + b[0][1] + b[0][0] <= 1)
    res = 2;
  if (!b[0][2] && !b[0][1] && !b[1][2] &&
   b[1][1] + b[1][0] + b[2][1] + b[2][0] <= 1)
    res = 2;
  printf ("%d\n", res);
 }
 return 0;
}
